package com.example.tfat.myapplication.navigationbar

import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import android.widget.RelativeLayout
import com.example.tfat.myapplication.R
import kotlinx.android.synthetic.main.record_finish_view.view.*

class RecordFinishView : RelativeLayout{

    constructor(context : Context) : super(context) {
        initView()
    }

    constructor(context: Context, attrs: AttributeSet): super(context, attrs) {
        initView()
    }

    constructor(context: Context, attrs: AttributeSet, defStyle: Int): super(context, attrs, defStyle) {
        initView()
    }

    private fun initView(){
        val inflater = LayoutInflater.from(context)
        var rootView = inflater.inflate(R.layout.record_finish_view, this, true)
    }

    fun setOnFinishClickListener(onClickListener: OnClickListener) {
        finish.setOnClickListener(onClickListener)
    }

    fun setOnNextSceneClickListener(onClickListener: OnClickListener) {
        nextScene.setOnClickListener(onClickListener)
    }
}